package com.hzya.frame.sys.tableCache.dao;

import com.hzya.frame.sys.tableCache.entity.TableCache;
import java.util.List;

/**
 * @description: 表缓存表  dao
 * @tableName: sys_table_cache
 * @entityName: TableCache
 * @author: gjh
 * @history: 1.0
 */
public interface ITableCacheMapper {

        //通过ID获取数据    entity_get
        TableCache entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<TableCache> entity_list_base(TableCache entity);

        //  查询符合条件的数量
        Integer entity_count(TableCache entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TableCache> entity_list_like(TableCache entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TableCache> entity_list_or(TableCache entity);

        //新增  entity_insert
        TableCache entity_insert(TableCache entity);

        //修改  entity_update
        Integer entity_update(TableCache entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(TableCache entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(TableCache entity);

        //物理删除
        Integer entity_delete(TableCache entity);


}
